Bug 272141 - better color scheme integration
Summary: better color scheme integration
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-01 13:35 UTC by tim blechmann
Modified: 2011-05-14 13:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
main window (43.85 KB, image/png)
2011-05-13 00:20 UTC, tim blechmann
Details
reports window (139.60 KB, image/png)
2011-05-13 00:24 UTC, tim blechmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tim blechmann 2011-05-01 13:35:09 UTC
Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

the integration of kmymoney into dark (white-on-black) color schemes should be improved: it is using hardcoded colors, which may cause problems when (hardcoded) black texts are rendered on a (schemed) black background.

Reproducible: Always
Comment 1 Cristian Oneț 2011-05-05 23:39:15 UTC
Could you give us some examples where are the hard-coded colors used? AFAIK the colors we use (when we use special colors) are obtained from the style so if you found a place where that doesn't happen we should be able to fix it.
Comment 2 Christoph Feck 2011-05-13 00:00:01 UTC
If you can provide the information requested in comment #1, please add a comment to this bug report. You can also attach screenshots to show the issues using the "Add an attachment" link on this page.
Comment 3 tim blechmann 2011-05-13 00:20:40 UTC
Created attachment 59946 [details]
main window

some of the table text has little contrast with the background
Comment 4 tim blechmann 2011-05-13 00:24:04 UTC
Created attachment 59947 [details]
reports window

graph is drawn, but i suppose, there is some text beside the colored circles on the right.
Comment 5 Christoph Feck 2011-05-13 00:28:02 UTC
Thanks for the update. This might actually be a KHMTL issue (bug 220468).
Comment 6 tim blechmann 2011-05-13 00:30:02 UTC
i think it may be useful to grep through the sources for hardcoded black colors and to enable qpalette support or to simply try to use the program with a while-on-black color scheme ...
Comment 7 Christoph Feck 2011-05-13 00:39:48 UTC
Please don't change the bug status. The "NEEDSINFO" status is used when we need more information from the bug reporter. We now have that information, and will look into the issue.

Of course, if you find more places where colors are wrong, just let us know.
Comment 8 Alvaro Soliverez 2011-05-13 00:55:05 UTC
Have you checked the settings? Are you using your own colors or system colors?
Also, what KDE version are you running? Is it 4.6.2?
Comment 9 tim blechmann 2011-05-13 01:05:15 UTC
(In reply to comment #8)
> Have you checked the settings? Are you using your own colors or system colors?
> Also, what KDE version are you running? Is it 4.6.2?

kde 4.6.2. 

it was not using the system color by default. the reports problem remains with system colors, the table in the main window completely changed: black background. the contrasts are fine. without system colors, there were a light grey and white as background, but when using the system colors, even and odd rows have the same background color (black). maybe this could be modified to alternating black and dark grey (or maybe some color fading between background and foreground)?
Comment 10 Alvaro Soliverez 2011-05-13 02:14:37 UTC
Neither the reports nor the home page use fixed colors. Both use a KHTMLPart, which takes the color settings from KHTML (eg. Konqueror).
If you want to modify the color, you can change them in the Konqueror settings dialog. If that does not work, it's a regression. That should have been fixed in KDE 4.4, but it might have reappeared.
Comment 11 Cristian Oneț 2011-05-13 09:04:11 UTC
(In reply to comment #6)
> i think it may be useful to grep through the sources for hardcoded black colors
> and to enable qpalette support or to simply try to use the program with a
> while-on-black color scheme ...

As I've said before AFAIK we don't have hardcoded black colors in the code. Everything we use comes from the system and the local kmymoney configuration options.
I'll take a look at the areas for which you provided screenshots.
Comment 12 Cristian Oneț 2011-05-14 13:57:06 UTC
SVN commit 1231887 by conet:

BUG: 272141
KMyMoney charts now use the colors obtained from the system settings instead of the default ones setup in KDChart. This allows using the charts with a dark color scheme.

 M  +46 -24    kreportchartview.cpp  
 M  +9 -0      kreportchartview.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1231887